Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.support
Class BlueprintContainerCreator

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.support.BlueprintContainerCreator

All Implemented Interfaces:
  OsgiApplicationContextCreator

    public class BlueprintContainerCreator

extends Object
implements OsgiApplicationContextCreator

Blueprint specific context creator. Picks up the Blueprint locations instead of Spring DM's.

Author:
  Costin Leau

Constructor Summary
`BlueprintContainerCreator()`

Method Summary
`DelegatedExecutionOsgiBundleApplicationContext` | `createApplicationContext(org.osgi.framework.BundleContext bundleContext)` Creates an application context for the given bundle context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintContainerCreator

    public BlueprintContainerCreator()

Method Detail

### createApplicationContext

    public DelegatedExecutionOsgiBundleApplicationContext createApplicationContext(org.osgi.framework.BundleContext bundleContext)
                                                                            throws Exception

  Description copied from interface: `OsgiApplicationContextCreator`
  Creates an application context for the given bundle context. If no application context needs to be created, then `null` should be returned. Exceptions will be caught and logged but will not prevent the creation of other application contexts.

  Specified by:
    `createApplicationContext` in interface `OsgiApplicationContextCreator`
  Parameters:
    `bundleContext` - OSGi bundle context determining the context creation
  Returns:
    `null` if no context should be created, non- `null` otherwise
  Throws:
    `Exception` - if something goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.